#ifndef _DCF77_H

	#define _DCF77_H

	#include <avr/interrupt.h>
	#include <stdlib.h>
	#include <stdint.h>

	//Selbstgeschriebene Funktionen
	#include "../Libs/lcd.h"
	
	#define SEKUNDE (F_CPU/10000) 	// (8000000 / 10000)  --> F_CPU / Timer-Zhlwert;
	#define ZEHNTEL (SEKUNDE/100)	// Fr Prozentrechnung, bsp: 5% der sekunde (50ms): SEKUNDE*5/100 --> ZEHNTEL*5
	#define DCF_SYNC_TIMER 210		// Gibt an wie oft die Uhr synchronisiert werden soll (Anazhl in min --> 30 == alle 30 min)
									// 0 == Synchronisation immer an!
									// ACHTUNG: 254 min == maximum, da der Zhler sync_timer nur eine 8Bit Variable ist

// 8-Bit Variable
extern volatile uint8_t 	sek ,	//	Sekunde 		(Timergesteuert)
					min 		, 	//	Minute 		(Timergesteuert)
					stunde 		,	//	Stunde 		(Timergesteuert)
					tag 		,	//	Tag 			(Timergesteuert)
					wochentag 	,	//	Wochentag 	(Timergesteuert)
					monat 		,	//	Monat 		(Timergesteuert)	
					jahr 		,	//	Jahr			(Timergesteuert)
					dcf_sek 	,	//	Sekunde 		(DCF-gesteuert)
					dcf_min 	,	//	Minute 		(DCF-gesteuert)
					dcf_stunde 	,	//	Stunde 		(DCF-gesteuert)
					dcf_tag 	,	//	Tag 			(DCF-gesteuert)
					dcf_wochentag ,	//	Wochentag 	(DCF-gesteuert)
					dcf_monat 	,	//	Monat 		(DCF-gesteuert)
					dcf_jahr 	,	//	Jahr			(DCF-gesteuert)
					verstr_min	,	//	Zhler wieviele Minuten seit der letzten 
									//	Synchronisation verstrichen sind
					sync_timer 	;	//	
					
					
	/************ PRESCALER 1 COUNTER WERT 10000***************/
	void int_to_display(int n, int laenge,int y, int x);
	void int_ext0_enable(void);
	int is_int_enabled(void);
	void int_ext0_disable(void);
	void dcf_erase(void);
	void dcf_vergleich(void);

	/****************************************************************
	Beschreibung:	Funktion zhlt die Uhrzeit hoch - diese Funktion 
					ist DCF-Empfangs-unabhngig.
	****************************************************************/
	void uhr_anzeige(void);

	/****************************************************************
	Beschreibung: 	Funktion bernimmt die vom DCF empfangenen und
					ausgewerteten Uhrzeit & Datumsinformationen
	****************************************************************/
	void dcf_uebernahme(void);
	void timer1_init(void);
	void dcf_init(void);
	
#endif
